POLYGRAPH-DNS-CFG(1)

NAME
polygraph-dns-cfg - DNS server configuration tool

SYNOPSIS
dns-cfg [--option ...]

DESCRIPTION
Given a zone name, DNS names, and IP addresses, dns-cfg builds configuration suitable for use with BIND and, perhaps, other DNS servers. Dns-cfg output consists of three parts. The first part is the text to cut-and-paste into BIND's named.conf file. This part is sent to the standard output. The outer two parts are direct and reverse zone files. Those may be quite large and are dumped on disk into the appropriately named files. Dns-cfg can use PGL configuration as the source of information.

OPTIONS

--help
    list of options

--version
    package version info

--config <filename>
    PGL configuration

--cfg_dirs <dirs>
    directories for PGL #includes

--zone <str>
    zone name

--addresses <str>
    IP addresses

--names <str>
    domain names

COPYRIGHT
Copyright © 2003-2006 The Measurement Factory, Inc.

SEE ALSO
polygraph(7) - general information and a list of programs

http://www.web-polygraph.org/ - project web site